KParts::LiveConnectExtension Class Reference

`#include <browserextension.h>`

Inherits QObject.

## Public Types

enum | Type { TypeVoid =0, TypeBool, TypeFunction, TypeNumber, TypeObject, TypeString }
typedef QValueList< QPair < Type, QString > > | ArgList

## Signals

virtual void | partEvent (const unsigned long objid, const QString &event, const ArgList &args)

## Public Member Functions

| LiveConnectExtension (KParts::ReadOnlyPart *parent, const char *name=0L)
virtual bool | get (const unsigned long objid, const QString &field, Type &type, unsigned long &retobjid, QString &value)
virtual bool | put (const unsigned long objid, const QString &field, const QString &value)
virtual bool | call (const unsigned long objid, const QString &func, const QStringList &args, Type &type, unsigned long &retobjid, QString &value)
virtual void | unregister (const unsigned long objid)

## Static Public Member Functions

static LiveConnectExtension * | childObject (QObject *obj)

## Detailed Description

An extension class for LiveConnect, i.e.

a call from JavaScript from a HTML page which embeds this part. A part can have an object hierarchie by using objid as a reference to an object.

Definition at line 792 of file browserextension.h.

## Member Function Documentation

bool LiveConnectExtension::call | ( | const unsigned long | objid,
|  | const QString & | func,
|  | const QStringList & | args,
|  | Type & | type,
|  | unsigned long & | retobjid,
|  | QString & | value
| ) |  |

virtual

calls a function of objid, return true on success

Definition at line 710 of file browserextension.cpp.

bool LiveConnectExtension::get | ( | const unsigned long | objid,
|  | const QString & | field,
|  | Type & | type,
|  | unsigned long & | retobjid,
|  | QString & | value
| ) |  |

virtual

get a field value from objid, return true on success

Definition at line 702 of file browserextension.cpp.

virtual void KParts::LiveConnectExtension::partEvent | ( | const unsigned long | objid,
|  | const QString & | event,
|  | const ArgList & | args
| ) |  |

virtual signal

notify an event from the part of object objid

bool LiveConnectExtension::put | ( | const unsigned long | objid,
|  | const QString & | field,
|  | const QString & | value
| ) |  |

virtual

put a field value in objid, return true on success

Definition at line 706 of file browserextension.cpp.

void LiveConnectExtension::unregister | ( | const unsigned long | objid | ) |

virtual

notifies the part that there is no reference anymore to objid

Definition at line 714 of file browserextension.cpp.

The documentation for this class was generated from the following files:

- browserextension.h
- browserextension.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys